## com.baidubce.services.bmr.model
Class PigApplicationConfig

    java.lang.Object
      com.baidubce.services.bmr.model.ApplicationConfig
          com.baidubce.services.bmr.model.PigApplicationConfig

    public class PigApplicationConfig

extends ApplicationConfig

Represent a Pig application. A Pig application can be configured with property of version.

Constructor Summary
`PigApplicationConfig()`

Method Summary
`PigApplicationConfig` `withVersion(String version)` Configure the version of Pig.

Methods inherited from class com.baidubce.services.bmr.model.ApplicationConfig
`addProperty, getName, getProperties, getVersion, setName, setProperties, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PigApplicationConfig

    public PigApplicationConfig()

Method Detail

### withVersion

    public PigApplicationConfig withVersion(String version)

  Configure the version of Pig. The reference version is as follows: image type | image version | pig version supported hadoop | 0.1.0 | 0.11.0 hadoop | 0.2.0 | 0.14.0

  Parameters:
    `version` - The version of Pig.
  Returns:
    PigApplicationConfig

Copyright © 2016. All rights reserved.